unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls,
  ExtCtrls, MultiplexSlider;

type

  { TForm1 }

  TForm1 = class(TForm)
    MultiplexSliderR: TMultiplexSlider;
    MultiplexSliderG: TMultiplexSlider;
    MultiplexSliderB: TMultiplexSlider;
    RGBPanel: TPanel;
    procedure MultiplexSliderRChange(const aValue: integer);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.MultiplexSliderRChange(const aValue: integer);
begin
  caption:=IntToStr(aValue);
  RGBPanel.Color:=RGBtoColor(MultiplexSliderR.Knob1Settings.KnobPosition,
                             MultiplexSliderG.Knob1Settings.KnobPosition,
                             MultiplexSliderB.Knob1Settings.KnobPosition);
end;

end.

